# psimage

Plot raster or EPS images

## Synopsis

gmt psimage imagefile [ -B[p|s]parameters ] [ -D refpoint ] [ -F box ] [ -G[color][+b|f|t] ] [ -I ] [ -J parameters ] [ -K ] [ -M ] [ -O ] [ -P ] [ -R west/east/south/north[/zmin/zmax][+r][+u unit] ] [ -U[stamp] ] [ -V[level] ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -p flags ] [ -t transp ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

image reads an Encapsulated PostScript file or a raster image file and plots it on a map. The image can be scaled arbitrarily, and 1-bit raster images can be (1) inverted, i.e., black pixels (on) becomes white (off) and vice versa, or (2) colorized, by assigning different foreground and background colors, and (3) made transparent where one of back- or foreground is painted only. As an option, the user may choose to convert colored raster images to grayscale using TV’s YIQ-transformation. For raster files, the user can select which color to be made transparent. The user may also choose to replicate the image which, when preceded by appropriate clip paths, may allow larger custom-designed fill patterns to be implemented (the -Gp mechanism offered in most GMT programs is limited to rasters smaller than 146 by 146).

## Required Arguments

imagefile

  This must be an Encapsulated PostScript (EPS) file or a raster image. An EPS file must contain an appropriate BoundingBox. A raster file can have a depth of 1, 8, 24, or 32 bits and is read via GDAL. Note: If GDAL was not configured during GMT installation then only EPS files are supported.

## Optional Arguments

-D[g|j|J|n|x]refpoint+r dpi+w[-]width[/height][+j justify][+n nx[/ny] ][+o dx[/dy]]

  Sets reference point on the map for the image using one of four coordinate systems:

  (1) Append g lon/lat for map (user) coordinates, (2) j code or J code for setting the refpoint via a 2-char justification code that refers to the (invisible) projected map bounding box, (3) n xn/yn for normalized (0-1) bounding box coordinates, or (4) x x/y for plot coordinates (inches, cm, points, append unit). All but x requires both -R and -J to be specified. You can offset the reference point via +o dx/dy in the direction implied by code or +j justify.

  By default, the anchor point on the scale is assumed to be the bottom left corner (BL), but this can be changed by appending +j followed by a 2-char justification code justify (see text). Note: If -Dj is used then justify defaults to the same as refpoint, if -DJ is used then justify defaults to the mirror opposite of refpoint. Specify image size in one of two ways: Use +r dpi to set the dpi of the image in dots per inch, or use +w[-]width[/height] to set the width (and height) of the image in plot coordinates (inches, cm, etc.). If height is not given, the original aspect ratio of the image is maintained. If width is negative we use the absolute value and interpolate image to the device resolution using the PostScript image operator. Optionally, use +n nx[/ny] to replicate the image nx times horizontally and ny times vertically. If ny is omitted, it will be identical to nx [Default is 1/1].

-F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]]

  Without further options, draws a rectangular border around the image using MAP_FRAME_PEN; specify a different pen with +p pen. Add +g fill to fill the image box [no fill]. Append +c clearance where clearance is either gap, xgap/ygap, or lgap/rgap/bgap/tgap where these items are uniform, separate in x- and y-direction, or individual side spacings between scale and border. Append +i to draw a secondary, inner border as well. We use a uniform gap between borders of 2p and the MAP_DEFAULT_PEN unless other values are specified. Append +r to draw rounded rectangular borders instead, with a 6p corner radius. You can override this radius by appending another value. Finally, append +s to draw an offset background shaded region. Here, dx/dy indicates the shift relative to the foreground frame [4p/-4p] and shade sets the fill style to use for shading [gray50].

-G[color][+b|f|t]

  Change certain pixel values to another color or make them transparent. For 1-bit images you can specify an alternate color for the background (+b) or the foreground (+f) pixels, or give no color to make those pixels transparent. Alternatively, for color images you can select a single color that should be made transparent instead (+t).

-I

  Invert 1-bit image before plotting. This is what is done when you use -GP to invert patterns in other GMT plotting programs. Ignored if used with color images.

-J parameters (more …)

  Select map projection. (Used only with -p)

-M

  Convert color image to monochrome grayshades using the (television) YIQ-transformation.

-R xmin/xmax/ymin/ymax[+r][+u unit] (more …)

  Specify the region of interest. (Used only with -p)

For perspective view -p, optionally append /zmin/zmax. (more …)

-U[label][+c][+j just][+o dx/dy] (more …)

  Draw GMT time stamp logo on plot.

-V[level] (more …)

  Select verbosity level [w].

-X[a|c|f|r][xshift]

-Y[a|c|f|r][yshift] (more …)

  Shift plot origin.

-p[x|y|z]azim[/elev[/zlevel]][+w lon0/lat0[/z0]][+v x0/y0] (more …)

  Select perspective view. (Requires -R and -J for proper functioning).

-t[transp] (more …)

  Set transparency level in percent.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Notes

The -G and -I options are for raster images only. They have no effect when placing Encapsulated PostScript files.

## Classic Mode Arguments

These options are used to manipulate the building of layered GMT PostScript plots in classic mode. They are not available when using GMT modern mode.

-K (more …)

  Do not finalize the PostScript plot.

-O (more …)

  Append to existing PostScript plot.

-P (more …)

  Select “Portrait” plot orientation.

## Examples

To plot the remote image needle.jpg, scaling it be 7 cm wide (height is scaled accordingly), use:

    gmt psimage @needle.jpg -Dx0/0+w7c > image.ps

To plot the same file but reversing the bands, use:

    gmt psimage @needle.jpg+b2,1,0 -Dx0/0+w7c > image.ps

To only plot its red band as gray shade, use:

    gmt psimage @needle.jpg+b0 -Dx0/0+w7c > image.ps

To include an Encapsulated PostScript file gallo.eps with its upper right corner 2 inch to the right and 1 inch up from the current location, and have its width scaled to 3 inches, while keeping the aspect ratio, use:

    gmt psimage @gallo.eps -Dx2i/1i+jTR+w3i > image.ps

To replicate the 1-bit remote raster image vader1.png, colorize it (dark gray background and yellow foreground), and setting each of 6 by 12 tiles to be 2.5 cm wide, use:

    gmt psimage @vader1.png -Gdarkgray+b -Gyellow+f -Dx0/0+w2.5c+n6/12 -P > image.ps

## See Also

gmt, gmtcolors, gmtlogo pslegend, psscale psxy